WaasKullanıcıDetay
Linkleme Id'ye Göre
İlgili linkleme id ye ait kullanıcı bilgisi verilir.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
userMappingId*string
Kullanıcı oluşturma veya linkleme aşamasında size iletilen ilgili kullanıcıya ait linkleme id değeri.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.altpay.dev/waas/integration/users/by-mapping/8b5ac43a-20ce-4987-a739-d8a7ee480eaa"{
"data": {
"user_mapping_id": "8b5ac43a-20ce-4987-a739-d8a7ee480eaa",
"user": {
"mapping": {
"id": "8b5ac43a-20ce-4987-a739-d8a7ee480eaa",
"wallet_id": 1,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z"
},
"id": "25809faf-9f21-40c8-bebe-3dd4e343b446",
"first_name": "AB****",
"last_name": "CD****",
"email": "ab*****@test.com",
"phone": "90***********",
"locale": "tr"
},
"wallet": {
"id": 1,
"visibility": true,
"balance": 1,
"point": 1,
"held_balance": 0.1,
"held_point": 0.1,
"total_held": 0.1,
"company_id": 1
}
}
}{
"message": "Unauthenticated"
}{
"message": "string"
}{
"message": "Gönderdiğiniz Veriler Geçersiz",
"errors": {
"property": [
"Hata açıklaması"
]
}
}